2006-01-26: Zacatek vedeni changelogu
	* isoplot.py: popisek uz nemuze zasahovat pres horni okraj
	* simulovany filter: Zarazen do vyhodnoceni a reportu
	* bugfix: vyresen problem s jeste neexistujicim rendererem
	* grafy: Vyreseny jednotlive barvy grafu a jejich popisku, poradne texty v
		popiscich
	* luminogram: vyber gradientu
	* graf: vypisovani obecneho textu, vypisuje nezobrazene izokandely

2006-01-30:
	* pdf: Uceni se s reportlabem, predelan ukazkovy zdrojak tak aby generoval
		report z html, hlavicka(titulek), cislo strany. Vyresen problem s
		ceskymi fonty (embedding truetype), parser na <br> a <p> tagy, atd..
		proste vetsi cast exportu do pdf hotova. 61 radek :-)
	* report: opraveny kosmeticke zmeny
	* isoplot: print_figure.. export obrazku do souboru, castecne funguje

2006-01-31:
	* pdf: Podaril se prvni import obrazku do PDF
	* isoplot: Nove nastaveni velikosti colorbaru a hlavniho grafu
	* isoplot: Nastaveni velikosti pisem (popisky grafu, os, a ostatni texty.)
	* pdf: Otoceni obrazku o 90, prakticky hotovy export do pdf

2006-02-01:
	* gui_eval: Vsechna tlacitka zrusena, predelana do menu
	* common_ui: Zobecneny open/save dialog pro lib. typ souboru
	* common_ui: Smazana stara fce err_box (nyni se vsude pouziva wx.LogError)
	* export pdf: Graf zabira pokud mozno co nejvetsi cast stranky
	* gui_eval: export pdf (save dialog, progress bar)
	* isoplot: Stav grafu preveden do dalsi tridy (kvuli serializaci)

2006-02-02:
	* isoplot: Dokoncena serializace IsoPlotState
	* state: Zalozen novy modul state pro obecnou serializaci objektu
	* gui_eval: refactoring, prace na snadne serializovatelnosti

2006-02-03:
	* gui_eval: refactoring, uz dokazu serializovat PlotState a
		TypetestEvalState, nastaveni luminogramu.. proste vsechno :-)
	* gui_eval: predelano osetreni zmeny lumi v menu
	* common_ui: refactoring, novy mixin FileHandling. Ihned pouzit v gui_eval
	* common_ui: do SingleColListHandler pridano hlidani state
	* calibration, gui_calibration, gui_measure, storage: 
		Pridan seznam luxmetru. do meas_info pridany informace o pristrojich
	* gui_calibration: Predelano, nyni ma vlastni menu a take je hlidan
		FileHandling

2006-02-08
	* prejmenovani: Vsude TypeTest -> Typetest
	* gui_typetest: Dialog->Frame, predelano na FileHandling
	* typetests: Modernizace (komentare EN->CZ, __dict__ -> setattr/getattr,
		zruseni nepotrebnych backslash)
	* common_ui: Pridana podpora pro file_check_state()

2006-02-10
	* gui_typetests: Dodelano menu soubor, velikost framu, zavirani
	* gui_measure: Pridana tlacitka ulozit a vyhodnotit
	* gui_measure: Pridan Gauge, dialog trochu (snad) zkraslen
	* ckdm: Odstraneny vsechny wx.LogError (pobezi ve vlastnich vlaknech)
	* gui_measure: Priprava na vicevlaknovy chod

2006-02-13
	* isoplot: Nyni na zacatku vykresli prazdny graf
	* gui_measure: Vicevlaknovy chod hotovy, funguje bezvadne :-)
	* gui_main: Funguje vyhodnoceni smerovych zkousek

2006-02-14
	* gui_settings, settings: Zalozeno (kvuli ceste k Adobe Readeru)
	* gui_main: refactoring, kazda polozka menu nyni vykona jedinou funkci,
		kazda fce bere stejne parametry, spolecny callback pro vsechny fce.
		sjednoceni vsech gui_funkci (prvni parametr parent, jmeno gui_*)
	* common_dialogs: pridana metoda fill_choices()
	* common_dialogs: pridana metoda bind_browse_button, hned pouzita
	* common_dialogs: pridana metoda bind_events()
	* eval_data: Pridany udaje o pristrojich do reportu

2006-02-15
	* storage: rot0, tilt0 nahrazeno polozkou zero_direction
	* eval_data, gui_eval: ASCII export
	* pdf: pridana moznost export ascii dat (pismem se stejnym rozestupem)
	* pdf: Zjednodusena registrace ttf fontu, pridan Courier

2006-02-16
	* pdf: generovani verbatim (preformatted) pdf z ascii dat
	* pdf: pridana fce write_pdf_image()
	* common_ui: pridana fce log_environment_error, vsechny obsluhy
		OSError/IOError prevedeny na log_environment_error
	* gui_eval: Dialog vyberu dat k exportu
	* gui_eval: Sjednocovani exportu a tisku. V podstate hotovy tisk, jen
		nefunguje :-)

2006-02-20
	* eval_data: Pridana polozka zdrojovy soubor
	* gui_eval: hotovy export a tisk
	* matplotlib_misc: zalozeno, trida OffsetMultipleLocator pouzita v isoplot
	* gui_typetest: Pridan test na delku intervalu sigma/omega nasobkem kroku
	* isoplot: Jednotky a titulek colorbaru
	* eval_data: Testovani vyhodnoceni, zda se def. izokandely vejdou do dat

2006-02-21
	* typetests: Zalozena TypetestIso, pro ni zobecnene ukladani a nacitani XML
	* gui_typetests: TypetestEditorDirectional rozdelen na TypetestEditorIso + 
		2 potomci TypetestEditorDirectional a TypetestEditorApproach.
		Udelan editor typovych zkousek pro sestupova navestidla.
	* common_ui: Opravena chyba FileHandling obcas znemoznujici zavreni okna
	* gui_measure: Udelano mereni sestupovych navestidel
	* eval_data: Opet oddeleno EvalIso, EvalDirectional
	* gui_eval: Zacatek prace na rozcleneni na smerove a sestupove

2006-02-22
	* slots: zalozeno (resp. kus ukraden z ASPN Coockbook :-)
	* storage: meas_info predelano na __slots__
	* typetests: kazda trida Typetest* ma nyni atributy pro def. adresare. Na
		relevantnich mistech zmenene odkazy na tyto adresare
	* gui_eval: hotovo rozcleneni na smerove a sestupove
	* storage_test: Zalozeno, test_multiply_bottom

2006-02-24
	* storage_test: test_read_from_measdata, test_get_val
	
2006-03-02
	* storage: opravena chyba v get_val nalezena diky test_get_val :-)
	* typetests, gui_typetest: Rozsah symetrie (2 < s < 6.5)
	* typetests: Oprava IsocandelOval
	* eval_data: prejmenovano na eval_typetest
	* eval_typetest: Nyni vrha EvalError misto RuntimeError
	* eval_typetest: Pridelano vyhodnocovani sestupovych navestidel
	* typetests: pridelano get_*_span pro IsocandelOval

2006-03-03
	* storage_test: pridan test_find_symmetric_points, oprava
		find_symmetric_points :-)
	* gui_viewdata: zalozeno
	* bicubic: Uplne znovu napsana interpolace podle numerical recipes in C
	* bicubic_test: zalozeno

2006-03-06
	* bicubic_test: test na identitu a zachovani monotonosti
	* bicubic: dopsano, snad funguje.. projde testem identity a monotonosti
	* cache: zalozeno, Cache, CacheWithoutLimit, CacheWithLimit
	* bicubic: optimalizace, zrychleno asi 10x
	* misc_num: zalozeno, arange_nelems, vec_equals
	* tests: zalozeno, ale nefunguje. Odlozeno
	* gui_typetests: opravena chyba kontroly kroku

2006-03-09
	* bicubic: Oprava bicubic (inicializace indexu sloupcu po zmene radku)
	* eval_typetest, storage: create_ascii_report rozhozeno do storage na
		prislusna mista
	* common_ui: Zalozena trida MenuFunctions, pouzita v LumiMenuMixin
	* isoplot: Predelana definice mrizky, rozdeleno na GridFixed a
		GridOffseted
	* eval_typetest: Silne predelani EvalResult, EvalTypetest a jejich
		zodpovednosti. Rozdeleni EvalResult (uz driv se mi neco nezdalo :-)
	* gui_eval: take brutalni refaktoring, citelnejsi a umi nove eval_typetest
	* isoplot: Opravena chyba get_lines() (zmena API v novem matplotlib)
	* gui_viewdata: Uz funguje, konecne..

2006-03-10
	* msg_delegator: Zalozeno, delegate_pre, delegate_post, funguje
	* isoplot: data2screen, screen2data
	* isoplot: Brutalni refaktoring (zruseno draggable, predelano pick,
		pridano plottable, zkraceno asi o 200 radek, ...)
	* storage: Funkcionalita storage.Contour pro grafy presunuta do isoplot

2006-03-13
	* isoplot: Uz funguje pick, drag'n'drop
	* state: udelano __setattr__ tak, ze si sam nastavuje modified flag
		(vetsinou)
	* gui_eval: z EvalState vyhozen IsoPlotState, zjednoduseni kodu
	* gui_eval: zjednoduseni zustava, IsoPlotState navracen :-X
	* misc: zavedeno ContainsUnpickable, hnedka pouzito

2006-03-16
	* isoplot: popisky posunuti, vlastni trida Dragged,
		allow_editing->movables, prevody data<->wx souradnice, opet funkcni
		print_figure, opet spravne orezavani.
	* gui_eval, eval: opet funkcni nastavovani simulfiltru
	* gui_viewdata: opet funguje, pokus o rozchozeni dlouheho TextCtrl
	* eval_typetest: Pekne formatovani reportu, osetrena chyba deleni nulou, 
	* gui_measure: Uz opet funguje :-)
	* ckdm_simul: rychlejsi, dava hezci hodnoty pro testovani sestupaku

2006-03-17
	* gui_measure: PointSupplier.. takova nadhera :-), bude se hodit u tabulky
	* gui_measure: MeasurePlotter, dekomponovani me vyslovene bavi :-))
	* typetests: pridan test na to ze jsou souradnice spravne min < max 
	* misc: Opravena chyba v kodovani cestiny do html
	* storage: opravena chyba v find_symmetric_points (pevny krok sigma)
	* isoplot: Statusbar ukazuje souradnice a interpolovanou hodnotu
	* gui_eval: Pridano kresleni bodu kde nevyhovuje symetrie
	* gui_eval: Text ma stejnou barvu jako izokandela, vcetne kritickych bodu
	* gui_eval: Zobrazovani horni i spodni popisky izokandel

2006-03-20
	* isoplot: prejmenovan na plot, IsoPlot odvozen z Plot, nastaveni popisku
		osy, luminogram ted z settings.LumiTheme a ne str
	* settings, gui_settings: Prace na nastavovani konfigurace temat
		luminogramu, je s tim vic srani nez jsem doufal..

2006-03-23
	* gui_settings: Oprava nefunkcniho comboboxu v editaci luminogramu. Z
		nejakeho duvodu nesmi byt combo v staticbox
	* gui_settings: Dodelano nastavovani luminogramu
	* gui_typetests, gui_eval, eval_typetest: Zrusen hlavni svazek sestup.
		navestidel
	* resources: inteligentnejsi (snad :-) definice cest k datum typzk
	* typetests: Pridana trida TypetestTable, nacitani/ukladani xml
	* gui_typetests: Zalozen TypetestEditorTable
	* gui_main: Tabulkove zkousky a mereni pridany do menu a napojeny

2006-03-30
	* simple_xml: Naprogramovano XMLObject, XMLList, XMLDict, XMLComposite a
		jejich unittesty

2006-03-31
	* typetests: Pridan FloatValidator k definici kazde izokandely
	* common_ui: mixin TransferFunctions
	* gui_typetests: Hotova definice tabulkoveho mereni
	* gui_measure: Hotove mereni tabulkovych mereni
	* eval_typetest: EvalResult rozdeleno na EvalResultIso a EvalResult
	* eval_typetest: skica vyhodnoceni tabulkove typove zkousky
	* gui_eval: skica gui pro vyhodnoceni tabulkove typove zkousky

2006-04-01
	* eval_typetest, gui_eval: Hotovo vyhodnoceni tab. typzk
	* state: Pridan atribut _empty. Dlouhe promysleni jak udelat FileHandling
		korektne, neco je spatne i kdyz na prvni pohled to tak nevypada
	
2006-04-03
	* mvc: Nastrel mvc, prototypovani floatu, str, listu

2006-04-06
	* mvc: Pokracovani mvc, funkcni list, prace na PlugModel, rozsirovani dema		

2006-04-07
	* mvc: Vylepseni focused_item, dohotoveni SocketModel

2006-04-10 
	* gui_main: Otazka na ukonceni programu, zakaz pri otevrenych oknech
		Posleze zase zruseno, musim predelat celou koncepci dialogu (pozdeji)
		Uz abych mel slusne mvc..
	* eval_typetest: Zesvislovani izokandel u sestupaku
	* common_ui: Potvrzeni pri otevirani noveho souboru kdyz stary neni ulozen
	* gui_typetests: Validatory na bod tabulkoveho mereni
	* gui_typetests: Nyni pouziva na nacitani typetests.read_typetest_from_xml

2006-04-12 
	* ckdm_interface_real: Lepsi zobrazovani chyb pri komunikaci
	* gui_measure: Intenzita prepsana na osvetlenost (jina fyz. jednotka)
	* table_math: Oprava pocitani vzdalenosti luxmetru od pripravku
	* storage: Oprava prepoctu osvetlenost -> svitivost

2006-04-12 verze 0.1, Prvni testovaci release (simulovana data) 

2006-04-12 - 2006-04-27
	* mvc: Po dlouhe praci se dostavuji prvni vysledky, dialog typovych
		zkousek vsesmerovych navestidel. Ceka me jeste FileHandling a ukladani
		modelu do XML, ale prvni vlastovka se zacina rysovat

2006-04-28
	* mvc: Vcelku hotovy filehandling, pekne funguje
	* storage: oprava multiply_bottom, verticalize_at_zero
	* ckdm_interface_simul: Lepsi funkce v dialogu, oprava sgn (epsilon)
	* bicubic: Oprava bikubicke interpolace, vubec nechapu co jsem to tam
		vyvadel ??

2006-05-04
	* mvc: Ukladani modelu do XML

2006-05-05
	* misc: Prehledne roztrizeni, recurse, functional exceptions
	* mvc: ListModel -> ArrayModel, deserializace z XML
	* mvc: Prebrutalni refaktoring, snad nic jineho nedelam :-) Kazdopadne
		mnohem cistsi rozcleneni, handlovani chyb, update textu pri ztrate 
		fokusu, editory a mnoho dalsiho. Sest hodin prace bez spusteni :-)

2006-05-09
	* mvc: ArrayView orezano, pridano SinglecolArrayView a MulticolArrayView
		plus prislusne editory
	* mvc: rozhozeni update pri ztrate fokusu SingleValueEditor + osetreni
		Windows bugu (EVT_CLOSE chodi pred EVT_KILL_FOCUS)
	* mvc: Dialog i Frame nyni potomci TopLevelWindow
	* mvc: rozchozeni validace a report_validation_problem()
	* debug: Zalozeni (traceit, print_stack, dbg)
	* mvc: predelan notify_* mechanismus (zvyraznovani chybnych polozek)

2006-05-10
	* mvc: Konecne solidne vyresen update_model problem
	* mvc: Funguje ukladani/nacitani XML
	* mvc: Predelan CompositeModel, presun def. attr. z __init__ do tridy
	* mvc: Predelan mechanismus validace, vic rozdrobeno mezi jednotlive tridy
	* mvc: Predelan mechanismus kopirovani (copy -> copy_from, new_from)

2006-05-11
	* mvc: freshness => modified
	* mvc: TextEntryDialog
	* mvc: Zprovoznen SinglecolArrayEditor
	* registry: Zalozeno, lazy inicializace XML resources
	* calibration, calibration_gui: Predelano do noveho MVC havu
	* registry: uklizeno, rozdeleno

2006-05-12
	* mvc: ArrayModel nyni bere jako items_type instanci Modelu, nikoliv tridu
	* registry: dodelano, lazy natahovani kalibrace
	* calibration: Hotovo (timer, cteni ckdm)
	* mvc: VersionModel

2006-05-17
	* mvc: ListModel, ArrayModel nyni odvozen z ListModelu
	* typetests: Predelano do mvc
	* typetests-polar: Includnuto do typetest, sjednoceni validatoru
	* mvc: pridano single_choice_dlg
	* mvc: Vytvoreno ListView, *ArrayView jsou z nej nyni odvozene
	* mvc: Vytvoren ListController, ArrayController z nej nyni je odvozeny

2006-05-22
	* mvc: Konecne hotov a funkcni ListModel, ListView, ListController
	* mvc: ListMVCBuilder
	* typetests: Fungujou smeraky a sestupaky pod mvc (ListModel izokandel)

2006-05-26
	* typetest_gui: Opet funkcni Array*, definice tabulek a vsesmeraku,
		kalibrace stolu
	* mvc: u CompositeModel predelany _models z tuple na dict (proc jsem tam
		proboha mel tuple?? 2006-06-01 kvuli poradi ukladani do xml, vole)
	* mvc: Nyni CompositeModel hazi changed i pri model.attr = neco
	* mvc: do CompositeModel pridana polozka source_file
	* mvc: Pridan TimeStampModel

2006-05-29
	* storage: MeasInfo, RawData predelany na CompositeModel
	* mvc: Pridany Adaptory, LenAdaptor, v CompositeModelu inicializace
	* measure_gui: Predelany vsechny pripravy k mereni do mvc, pridelana
		polarni mereni

2006-05-30
	* mvc: Pridano Frame.run_frame, ale bude to chtit jeste prezkoumat
	* table_math: TableMath nyni umi pracovat s novym MeasInfo
	* storage: zmizeno meas_info ze vsech trid kde se zda byt zbytecne
	* mvc: Pridano ArrayItemCopier
	* mvc: Pridan GaugeView
	
2006-05-31
	* mvc: Pridan BoolModel
	* mvc: Pridano MulticolArrayView
	* eval_typetest, eval_typetest_gui: Neuveritelne predrozmrdani celeho
		kodu kvuli prechodu na novou strukturu..
	* measure_gui: Tabulkova mereni nyni zobrazuji tabulku :-)

2006-06-01
	* storage: MeasData taky predelana na Model
	* table_math: raw_point2meas_point nyni vraci MeasuredPoint
	* table_math: read_measdata_from_rawdata -> RawData.as_meas_data
	* mvc: HTMLView
	* mvc: CheckView/Controller/Editor
	* eval_typetest_gui: DlgSimfil -> mvc
	* eval_typetest_gui: DlgChooseData -> DlgDataToExport (mvc)
	* mvc: FuncAdaptor
	* eval_typetest_gui: EvalTableFrame -> mvc
	* mvc: save_dialog

2006-06-02
	* mvc: changed/update nyni mohou brat parametry (**kwargs)
	* mvc: ListModel/View optimalizace:pri insertu se obnovi jen jedna polozka
	* storage: Mesh -> mvc
	* storage: Contour -> mvc
	* storage: Contour uplne zruseno, jeji funkcionalita presunuta do
		eval_typetest a do Mesh
	* mvc: NumericArray
	* storage: Line
	* eval_typetest: Opravdu priserne rozhrabany zdrojak, prace na rozchozeni
		vyhodnocovani smerovych typovych zkousek

2006-06-12
	* eval_typetests: Po umorne praci castecne funkcni vyhodnocovani typovych
		zkousek
	* plot: predelavani na mvc
	* mvc: Ze zdrojaku mi zmizelo asi 170 radek - ListModel, to by me fakt
		zajimalo kam se ztratily..

2006-06-14
	* mvc: Zase dopsan ListModel, grrrrr
	* mvc: zmizel i TimeModel!! ?????????
	* mvc: preimplementovan TimeModel
	* settings: predelano na mvc
	* a dalsi...

2006-06-15
	* mvc: Point, Line, Rect presunuto ze storage do mvc
	* measure_gui: Ukladani dat, prompty pri zavirani, handlery tlacitek atd..
	* main_gui: predelano do mvc
	* eval_typetest_gui: funkce pro vyhodnocovani typzk z hlavniho menu
	* mvc: Opravena chyba StrModel pri nacitani prazdneho retezce z xml
	* mvc: do NumericArray dodelano copy_from, xml_serialize 

2006-06-16:
	* mvc: xml_deserialize u NumericArray
	* plot, eval_typetest: Zobrazuji definovane izokandely

2006-06-19
	* plot, eval_typetest: mrizka pod ostatnimi, graf uz neni ctverec ale
		obdelnik, tloustka car, velikost pisma, barva izokandel, vykreslovani
		namerenych izokandel a prislusnych textu, plot.Color, pouzit novy
		colorbar, 
	* mvc: napsano FloatContainerModel, kvuli optimalizaci rychlosti/pameti
	* mvc: Point, Line, Rect prepsano z CompositeModel na FloatContainerModel 
	* storage: PositionModel, OrientationModel, RawPoint, MeasuredPoint
		predelano na FloatContainerModel	
	* eval_typetest: BadPoint predelan na FloatContainerModel
	* calibration: Position -> storage.SensorPosition
	* debug: hotshot, hotshot_stats
	* plot: rozchozen PlotController (funguje drag'n'drop, popisky ve
		statusbaru, ...)

2006-06-20
	* mvc: Zrusil jsem vsechny in-place operatory u modelu, jsou nebezpecny
	* registry: pridano settings, _LazySettings
	* eval_typetest_gui: Dialog vyberu luminogramu
	* settings, settings_gui: predelano do mvc
	* mvc: pri editaci ListControllerem uz nevyskakuje hlavni okno do popredi
	* goniofotometr: Smazany nepotrebne kusy stareho modelu (common_ui, slots,
		resources, ...) uz neexistuje nic ne-mvc !! :-) 
	* bicubic_test: Nyni funguje s novym storage.Mesh
	* bicubic: z nejakeho prazahadneho duvodu jsem pouzival upravenou
		<starou???> verzi.. co se mi to s temi zdrojaky deje???
	* bicubic: opravena chyba... kde se tam vzala by me docela zajimalo
	* eval_typetest: dialog simul. filtru, aplikace filtru na mrizku
	* eval_typetest: Kosmeticke upravy: velikost/barva markeru, izokandel,
		popisky izokandel
	* eval_typetest: (snad) kompletne funguje vyhodnoceni smerovych zkousek
	* mvc: adaptery nyni emituji changed po deserializaci (refresh html)
	* pdf: write_pdf_report nyni bere cely seznam obrazku misto jednoho.
		Predelano na registry misto resources, settings a common_ui
	* eval_typetest_gui: ExportPrintMixin, umim vsechno tisknout a exportovat

2006-06-21
	* measure_gui: Zprovozneno polarni mereni
	* eval_typetest: Vyhodnoceni polarnich zkousek
	* storage, ...: Uplne jsem zrusil RawData/RawPoint, vse je ted v MeasData.
		konecne mam jednoznacne a korektne definovanou svitivost/osvetlenost
	* plot: udelan polarni graf
	* mvc: Mam spatne handlovani EVT_CLOSE, vecny problem, grr...

2006-06-22
	* mvc: Snad uz konecne spravne vyreseno zavirani oken...
	* plot: PlotController umi prepocitavat souradnice do pol. soustavy
	* eval_typetest: Snad hotova tvorba grafu pro polarni typzk
	* eval_typetest: Az na min/max izokandely hotove vyhodnocovani polaraku
	* eval_typetest: html_report pro simfilter, pridan simfil i pro tabulku
	* eval_typetest: Vyhodnocovani sestupaku, graf sestupaku, nejaky
		refactoring spolecnych veci vsesmeraku a sestupaku
	* eval_typetest: validace typzk u vsech typu zkousek
	* measure_gui: Korektni osetreni EvalError	
	* eval_typetest_gui: fce pro prohlizeni a vyhodnocovani vsech typu typzk
	* eval_typetest: opraveno tabulkove mereni
	* ckdm_interface_simul: Opet rozchozen dialog definice simulovane funkce

2006-06-23
	* measure_gui: Opet funguje nahled merenych dat
	* mvc: StrEnumModel, RadioView, RadioController, RadioEditor
	* typetests, typetest_gui: Pridan parametr min/max pro SigmaSpan(Dlg)

2006-06-25 
	* vse: Projeto pycheckerem, odstraneno par chyb
	* table_math: udelano TableMathPolar, vykopani spolecnych funkci
	* measure_gui, eval_typetests: Mereni min/max u polaraku
	* eval_typetest: Zobrazovani nesym. bodu u sestupaku
	* data: Pro kazdy typ typzk vytvorena ukazkova definice, vyhodnoceni,
		protokoly a exporty, vytvorena ukazkova temata luminogramu
	* eval_typetest: Oprava - uz mam prazdne radky mezi izokandelami v pdf
	* mvc: Opet se mi pocita pocet otevrenych oken a aplikace nelze ukoncit
		kdyz jich je > 1

2006-06-25 verze 0.2, Druhy testovaci release (simulovana data)

2006-06-26
	* ruzne: hromada osklivych hacku, aby to aspon trosku komunikovalo se 
		stolem

2006-07-11
	* registry: _LazyModel, nyni spolecny pro settings a calibration
	* settings: DPI obrazku prendano do settings
	* upgrade: python 2.4.2 -> python 2.4.3
	* upgrade: wxpython 2.6.3.0 ansi -> wxpython 2.6.3.2 ansi
	* eval_typetest(_gui): Spodni hranici lumi lze omezit nejnizsi izokandelou

2006-07-13
	* measure_gui: Predelan dialog pripravy k mereni tak, ze podporuje v
		jednom okne vsechny tri typy mereni (bez pripravku, s pripravkem, s
		ramenem). 
	* calibration(_gui): Kalibrace rozdelena na seznam luxmetru a kalibraci
		stolu, udelana kalibrace ramene
	* ckdm_interface: Dodelano par prikazu pro rameno do simul i real
	* main_gui: logo :-)

2006-07-25
	* mvc: Sjednocen atribut ctrl u vsech View, spolecne highlight a set_focus
	* mvc: Zjednoduseno Int/Str/FloatView
	* mvc: View.set_enabled_model
	* mvc: Omezeni maximalniho poctu polozek v ListModel
	* ckdm_interface: Rozdeleni na common, gui, predelano na Model, nakresleni
		framu zarizeni, prace na GUI k zarizenim
	* mvc: StaticTextView, StaticTextBoolView

2006-07-26
	* mvc: Konecne jsem premluvil Framy at se zobrazuji spravne velike.
		Nastaveni minimalni velikosti.
	* mvc: Dialog nyni muze bezet jako modal i modeless
	* calibration_gui: Funguje s novou verzi pristupu k zarizenim
	* ckdm_interface_gui: Hotove GUI k zarizenim
	* mvc: ListView nyni umi smazat jedinou polozku (reakce na action delete)
	* vse: Zrusen OrientationModel, byl nejednoznacny a spis se pletl

2006-07-28
	* calibration_gui: obecna funkce pro generovani gui funkci
	* ckdm_interface_simul: Metatrida pro prerekvizity jednotlivych metod
		interfacu
	* settings: Pridana polozka refresh_devices
	* mvc: Pridani mutexu do Frame a Dialogu - neuspesne, nevratim se do
		mainloopu

2006-07-31
	* measure_gui: Dialog pripravy k mereni uz funguje i nemodalne
	* measure_gui: Mereni: Zruseno referencovani stolu, funguje s novym CKDM
	* main_gui: dialog O programu
	* registry: Zjednoduseno natahovani LazyModelu

2006-08-01
	* plot3d: Zalozeno, Plot3DModel, Plot3DView
	* table_3dmodel: Zalozeno, udelano do pulky
	* table_math: Bude chtit revizi

2006-08-07
	* table_math: Prochazi revizi. Prepsano ft, fk na plane, angle. Nyni umi
		pouze c-gamma. Napsana jednoznacna dokumentace

2006-08-09
	* table_math: Hotova revize obecne matiky, opet rozchozeny testy
	* dokumentace: Sepsana dokumentace k nulovani stolu
	* ckdm_interface_simul: Zprovozneno zadavani simulacni funkce 
	* measure_gui: Zjednoduseno a zlepseno mereni. Odstranena chyba u
		polaraku. Pridana nova mozna navratova hodnota next_point: TRY_LATER

2006-08-10
	* mvc: Choice/List/NotebookEditor
	* measure_prepare: validace nastaveni.
	* settings: pridano RuntimeSettings
	* measure_prepare: Nyni stul v prepare dialogu najede do posledni polohy
	* vsude: Misto (rot, tilt) nyni vsude pouzivam (rot, tilt, shank)
	* table_math: Jakas takas matika pro rameno
	* typetests, typetest_gui: Polarni -> Omni, Light (definice svitidel)
	* measure_gui: Pridan frame pro mereni svitidel, udelan generator
		Measure*Frame trid.
	* eval_typetest: Polar -> Omni/Light

2006-08-11
	* eval_typetest: Vyhodnocovani typovych zkousek svitidel
	* viewdata_gui: Opet udelano prohlizeni izokandelovych dat
	* plot: Pridani MoveGroups, id do Plottables

2006-08-16
	* plot: Dodelani MoveGroups, ale zrejme jeste bude chtit revizi.
	* plot: callbacky pri Drop
	* eval_typetest: Spolecna trida Eval, posouvani izokandel

2006-08-17
	* plot: Doreseni MoveGroups
	* atd... : dnes me to HROZNE nebavi

2006-08-21
	* plot, eval_typetest_gui: Jeste jednou a dukladne udelany callbacky
	* plot: Spousta x/y souradnici nahrazena Point-em
	* eval_typetest_gui: Korektni popisky u definice typove zkousky

2006-08-22
	* measure_gui: MeasurePrepareDlg rozsekano na MeasurePrepareDlg a
		MeasurePrepareCommon.
	* calibration_matrix_gui: Hotovo cele (oba kroky + ukladani + dialog
		nasobeni kalibracni matici)
	* measure_typetest_gui: Zalozeno, vysekany relevantni kusy kodu z
		measure_gui

2006-08-23
	* table_math: Opravena chyba v dist_f_sensor (deg->rad). Stejne tam dost
		veci nehraje....
	* bicubic: Pridano interpolate_point
	* calibration_matrix: interpolace bodu, cache mrizky
	* eval_typetest: Aplikace kalibracni matice

2006-08-29
	* storage: Do MeasInfo pridan html_report	
	* eval_typetest: Revize a refaktoring vyhodnocovani.

2006-08-30
	* typetest: Odstranena prastara chyba - kontrola hranic
	* eval_typetest: pokracovani revize, uz nefunguje pouze zmena zamerovani
	* mvc: Predelavani testovani, zda observer dokaze prijmout **kwargs -
		omylem jsem chytal i TypeError callbacku, a ne jen spatnych argumentu.
		odstraneni except: TypeError vsude kde to slo

2006-08-31
	* mvc: Uplne zrusen koncept adaptoru, necht se inicializuji v __init__
	* mvc: Odstranena dalsi prastara chyba - chybejici thaw_changes u
		CompositeModel::xml_deserialize.
	* eval_typetest: Hotova revize, konecne funkcni zmena zamereni.
	* main_gui, devel_gui: Zalozeno, polozky pro indiv. vyvoj
	* measure: Zalozeno, vyhazeny nejake veci z measure_typetest_gui, nova
		trida Measure slouzici pouze pro info o tom jake body je treba merit.

2006-09-01
	* measure_gui: pridano MeasurePrepareBasic
	* eval_typetest: Sloucen PolarPoint a BadPoint do MinIntensityPoint
	* pdf, eval_typetest_gui: Vyreseni osetreni chyb pri praci s pdf
	* devel_typetest: Zalozeno, infrastruktura pro individualni vyvoj, zacatek
		prace na tabulkovem vyvoji.

2006-09-04
	* devel_typetest: Pokracovani tabulek, ExecutionChain pro domerovani
	* measure, measure_gui: Pridani tridy MeasureIso, refaktoring mericich
		framu
	* calibration_matrix_gui: Prevod na MeasureIso a ExecutionChain

2006-09-05
	* measure_typetest_gui: Smerova/sestupova prevedena na MeasureIso	
	* measure_gui: Odstranena chyba - duplikovane on_ok u MeasurePointsFrame
	* devel_gui: Pridana moznost otevreni jiz existujiciho souboru s vyvovjem
	* devel_gui: Hotovy tabulkovy vyvoj (az na tabulku v pdf)

2006-10-11
	* ckdm_interface_real: Novy protokol luxmetru, ramenu a stolu
	* rameno: vsechny shank* prejmenovany na arm*

2006-10-12
	* upgrade: Nova verze python(2.4.4), wxPython(2.6.3.3),
	           matplotlib(0.87.6), Numeric -> numpy(1.0rc2)
	* settings: Pridano nastaveni serioveho portu
	* testy: opraveno storage_tests, bicubic_tests

2006-10-18
	* measure_gui: Zjednoduseni dialogu pripravy - zruseni View nulovych poloh
	* ckdm_interface_real: Funguje novy protokol, z velke casti otestovano

2006-10-19
	* gfm_common_gui: Zalozeno, prepare_preview_plot_model, 
		view/editor pro rot/tilt/arm/x/y/z/sigma/omega/intensity
	* ckdm_interface_simul: Funguje podle noveho protokolu
	* mvc: Aserce assert_type, assert_instance

2006-10-23
	* misc: Pridana trida Counter, pouzita v _OpenSubwindows v registry
	* ckdm_interface: connect/disconnect take pouziva Counter, odpoji pri nule

2006-10-31
	* calibration_matrix_gui: Opraveno mereni kalibracni matice
	* devel_gui: Opravena priprava k mereni
	* mvc: Na forech overena chyba wxHtmlWindow - pockam na opravu

2006-11-01
	* mvc: LenAdaptor presunut do measure
	* measure: Zjednoduseny adaptory (nastavuji primo n_points.value)
	* measure: Opet rozchozeno Omni/Light mereni

2006-11-08
	* mvc: Opraveno wxHtmlWindow
	* eval_typetest: U polarnich mereni postupne presouvana zodpovednost za vyhodnoceni a
		vykresleni do grafu do nove vytvorenych EvaluatedSpan. 
	* eval_typetest: Nova barevna schemata izokandel.Novy test typethttp://www.cockos.com/est c mesh
	* meas_corrections: Nove vytvoreno, zalozena trida MeasCorrector
	* simfil, calibration_matrix: Presunuto do meas_corrections
	* Rect: Nova metoda contains_rect()

2006-11-13
	* eval_typetest: Dokoncen presun na MeasCorrector, EvaluatedSpan
	* meas_corrections: Pridana kontrola rozsahu mereni kalibracni matice
	* error_logging: Zalozeno

2006-11-14
	* mvc: LazyXMLResource presunuto do mvc
	* logviewer: Zalozeno
	* measure_gui: SaveableMeasureMixin, UnSaveableMeasureMixin

2006-11-15
	* error_logging: error, warn

2006-11-20
	* error_logging: Novy rozsireny tisk tracebacku, z ASPN Cookbook
	* mvc: pridano attach_panel
	* error_logging: Pridan inspektor tracebacku

2006-11-21
	* mvc: Konecne funkcni attach_panel, attach_window. Zruseny ostatni
		AttachUnknownControl.
	* typetest_gui, devel_gui: Panelizace common casti dialogu v XRC.
	* mvc: OkCancelFrame
	* vse: Poreseni ruznych ok_callbacks a continue_action

2006-11-22
	* eval, eval_typetest: Zacinam rozdelovat eval_typetest do eval.
	* eval: Rozdelena bodova mereni, polarni mereni.

2006-11-23
	* mvc: Opraveno layoutovani attachnutych panelu ve framech
	* viewdata_gui: ExportPrintMixin presunut sem, revize ExportPrintMixin.
	* eval_typetest_gui: ascii_report, html_report, ... presunuto do modelu.
	* eval_typetest_gui: Velka cast inicializace presunuta do EvalFrame
	* storage: Vykonna cast ascii_report presunuta do MeasData
	* devel: Vytvoreno odstepenim z devel_gui

2006-11-27
	* measure: MeasurePolar nyni korektne meri i kdyz delka OmegaSpans == 0.
		Hlasi chyby pomoci NextPointError.

2006-11-29
	* vse: Nejake opravy z Eltoda
	* measure_gui: Poreseno reportovani chyb, double disconnect, ..
	* eval: Oprava generovani grafu polaraku

2006-11-30
	* typetests: Pridan SpanMixin, update modelu z Typetest
	* misc: pridano any/all
	* mvc: Kontrola dokumentu u OkCancelFrame
	* storage: vsechny raise E("msg") prevedeny na wx.LogError, raise
	* eval: Rozdeleni Isocandel na EvaluatedMeasIsocandel a
		EvaluatedDefIsocandel + prislusnych potomku.

2006-12-05
	* eval, eval_typetest: Dokonceno rozdeleni izokandelovych vyhodnocovani
	* gfm_common_gui: CoordsView/Editor nyni prevadi mm <->m 

2006-12-06
	* eval: Slusnejsi barevna temata izokandel
	* eval: Omezeni textu do +- 5% od okraje
	* plot: unicode(txt, 'cp1250') vsude nahrazeno misc.uni
	* plot: Vyresen problem s fonty (spatna diakritika v grafu, velikosti pro
		zobrazovani a pro tisk..)
	* plot: mergnuto s misc_matplotlib
	* pdf: Vyresen problem sigma/omega (tag <greek>)
	* eval_typetest: Opravena zmena zamereni

2006-12-07
	* eval: Opraveno vyhodnoceni min. intenzity u sestupaku, popisky grafu.
	* devel_gui: dialog pro nastaveni pocatecniho rozsahu, odmereni pocatecni
		mrizky, framy izokandelovych vyvoju, menu, dialog pro primerovani,
		primerovani

2006-12-10
	* devel_gui: Opraveno domerovani
	* mvc: pridano ListMVCBuilder.select_item_def
	* mvc: Color presunuto z plot sem, ColorView, ColorController, ColorEditor
	* devel_gui: Pridavani merenych izokandel
	* devel_gui: Pridavani definovanych izokandel, html2text, barvy a popisky

2006-12-11
	* plot: MoveGroup(s) predelano na obecneji pouzitelne PlottableGroup(s)
	* devel_gui: Pridavani merenych izokandel z ostatnich zdroju
	* ckdm_interface_real: Osetreni havarijni stopky

2006-12-13
	* devel: Mazani, presouvani izokandel, vyhodnocovani svitivosti,
		symetrie, min/max, matika pro polaraky, debug, priprava na
		predvanocni odevzdani

2006-12-14 verze 0.3, Treti testovaci release (simulovana i skutecna data)

2007-02-19
	* upgrade: matplotlib (na v. 0.90), wxPython (na v. 2.8.1-1)
	* registry: Zjednoduseno nastavovani cesty k datum, zruseno deployment
	* vzhled: Nove logo, ikona v hlavnim dialogu

2007-02-21
	* mvc: V DocumentFrame titulku se nyni zobrazuje prave otevreny soubor
	* meas_corrections: Predelany dialog simfiltru (dve tlacitka, zadny
		enabled check)
	* meas_corrections: DocumentFrame prohlizeni kalibracni matice 

2007-02-22
	* ckdm_interface, measure: Zruseny disconnecty, oprava chyby v connect()
	* measure: stul se po ukonceni mereni vrati do zakladni polohy
	* mvc: Predelano ukladani/nacitani XML, vylepseny format.

2007-02-23
	* mvc: dodefinovano poradi ukladani do XML v CompositeModel
	* convert_typetests: Vytvoreno, funkcni

2007-02-26
	* typetests, eval_typetest: Podpora pro zapustena navestidla
	* devel_gui: Odliseny titulky smerovych a sestupovych vyvoju

2007-02-27
	* table_math: Z gruntu nove vzorce pro matiku s pripravkem a s ramenem

2007-03-01
	* table_math: Vzorce konecne udelany funkcni, hotove poloautomaticke testy

2007-03-02
	* table_math: Opravena a otestovana obecna matika
	* plot: Pridan novy atribut PlotModel, cbtitle (titulek colorbaru).
	* meas_corrections_gui: Konecne hotove vse okolo kalibracni matice
	* devel_gui: Opravena velikost seznamu u pridavani rozsahu
	* mvc: Nyni maji vsechna okna ikonu goniofotometru
	* calibration_gui: Konecne opravena neviditelna tlacitka u seznamu cidel
	* misc: procisteno od nepouzivanych veci (rekurze, funkcionalni vyjimky)
	* vse: A dalsi odstranovani TODO polozek v programu

2007-03-05
	* plot: Opraveno formatovani popisku grafu
	* storate: Opravena bikubicka interpolace grafu, omezeni max. presahu
	* vse: Veskere zbyvajici _resources predelany na resource
	* measure_gui: Univerzalni dialog pripravy k mereni s mistem pro
		custom_panel. Ten je rovnou vyuzit v measure_typetest_gui a devel_gui.
	* measure_gui: Predelany framy mereni, nyni je pouze jeden univerzalni s
		kontejnery na preview a na radu tlacitek.
	* meas_corrections_gui: Nove udelane mereni (obecnejsi) kalibracni matice
2007-03-06
	* plot: Osetreni nekonecen v grafu, prazdnych mrizek v grafu, ..
	* mvc: Osetreni neplatnych NumpyArray (obsahuji #INF)
	* typetests, measure: Lepsi validatory omega, sigma a rozsahu isomereni
	* table_math: Prace se stupni nyni pouze v TableMath, potomci jen radiany.
	* table_math: Pridany dalsi testy, hodne funkcnosti presunuto do TableMath
	* storage: Mrizka se nyni vykresluje z definovanych omega, sigma (!)
	* storage, meas_corrections: Kontrola platnosti kalibracni matice a Mesh

2007-03-07
	* meas_corrections: Kalibracni matice nyni spravne velka, statusbar info
	* meas_corrections: Funguje i korekce matice kalibracni matici

2008-05-05
	* registry: Prejmenovani verze na 0.4
	* ckdm_interface_real: oprava nastaveni rucniho ovladani stolu

2008-05-06
	* ckdm_interface_simul: Oprava - odstraneni neplatne __metaclass__

2008-05-15
	* ckdm_interface_real: Update flagu u ramene
	* ckdm_interface_real: Nova navratova hodnota CMD_ILLEGAL_MOVEMENT
	* table_math: arm = pi/2 - arm (viz readme matiky)
	* ui: Nastaveni plne rychlosti ramenej pri goto ze seriaku

